
Figure - 需求 Requirement #111231
需求 Requirement # 110107 (New): 【Locked需求】总票

需求 Requirement # 110997 (分析&分解中 In Analysis): 【Locked需求】Launcher UI需求

【Locked需求】Launcher UI需求-深色模式
2022-08-12 15:48 - 方案组-RD3_CDTS 王浩云

Status: 完成 Closed Start date: 2022-08-12

Priority: Normal Due date:

Assignee: CD FW-王伟 % Done: 100%

Category: Estimated time: 0.00 hour

Target version:

Description

1. 支持副屏与中控同步launcher 的深色模式

2. 支持手动切换至深色模式

3. 深色模式同步开关：

    -  位置：setting，控制中心

    -  功能描述：控制副屏是否通过以太网和中控同步深色模式

    -  状态说明：

1. 开启：开启同步功能，开启后不支持手动调整，隐藏手动调整按钮

2. 关闭：关闭同步功能，在setting中打开手动调节的开关

3. 默认状态：开启

4. 状态切换说明：

    -  同步开启-->同步关闭：保持关闭前的模式，关闭前是白天，则为白天，关闭前为深色，则关闭后为深色

    -  同步关闭-->同步开启：开启后，需要向中控询问当前的主题状态，若不一致，同步为同中控一样的主题模式

5. 深色模非同步状态下的设置

    -  状态：不再和中控同步

    -  隐藏开关出现：setting中，展示手动调整深色模式的开关设置，逻辑follow源生深色模式设置

详情请查看需求PRD：https://thundersoft.feishu.cn/docs/doccn80x4252yfuTtqFzwkSqrcf#

参考章节4.1.6

Related issues:

Related to Figure - 开发 Dev # 112253: 【MK】【FW】【VehicleData... 取消 Canceled 2022-09-29 2022-10-14

History

#1 - 2022-08-12 15:48 - 方案组-RD3_CDTS 王浩云

- Status changed from New to 分析&分解中 In Analysis

#2 - 2022-08-12 15:53 - 方案组-RD3_CDTS 王浩云

- Assignee set to CD FW-王伟

#3 - 2022-10-08 19:07 - CD FW-王伟

- Status changed from 分析&分解中 In Analysis to 完成 Closed

- % Done changed from 0 to 100

此功能已经关联相关的开发票：112253.

可关闭此票。
